package com.persagy.apm.diagnose.maintenance.constant;

import com.alibaba.druid.util.StringUtils;

/**
 * 维保 冷却塔设备类型编码集合
 */
public enum EnumCoolTowerPointNameType {

    RunStatus("runStatus","运行状态"),
//    CoolWaterMainReturnTemp("returnAirTemp","冷却水回水干管温度"),
//    Twb("supplyAirTemp","室外湿球温度");
    CoolWaterMainReturnTemp("coolWaterMainReturnTemp","冷却水回水干管温度"),
    Twb("twb","室外湿球温度");

    private String code;
    private String name;

    EnumCoolTowerPointNameType(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public void setName(String name) {
        this.name = name;
    }

    public static EnumCoolTowerPointNameType getEnumMaintenanceDataType(String code) {
        if(StringUtils.isEmpty(code)) {
            return null;
        }
        for(EnumCoolTowerPointNameType item : EnumCoolTowerPointNameType.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
