package com.persagy.apm.diagnose.constant;

import com.alibaba.druid.util.StringUtils;

/**
 * @ClassName EnumDataTimeType
 * @author leifeng
 * @version 1.0.0
 * @Description 中台数据时间类型
 * @createTime 2021/9/24 15:21
 */
public enum  EnumDataTimeType {
	
    MIN1("1min"),MIN5("5min"),MIN15("15min"),HOUR("1h"),Day("1d");
   
    private String code;
    
    EnumDataTimeType(String code){
        this.code = code;
    }

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	
	public static EnumDataTimeType getEnumDataTimeType(String code) {
		if(StringUtils.isEmpty(code)) {
			return null;
		}
		for(EnumDataTimeType item : EnumDataTimeType.values()) {
			if(item.getCode().equals(code)) {
				return item;
			}
		}
		return null;
	}
	
}
